Loading...
Searching...
No Matches
AVLFG Struct Reference

Context structure for the Lagged Fibonacci PRNG. More...

`#include <libavutil/lfg.h>`

## Data Fields

unsigned int | state [64]
int | index

## Detailed Description

Context structure for the Lagged Fibonacci PRNG.

The exact layout, types and content of this struct may change and should not be accessed directly. Only its `sizeof()` is guaranteed to stay the same to allow easy instanciation.

Definition at line 33 of file lfg.h.

## Field Documentation

## state

unsigned int AVLFG::state[64]

Definition at line 34 of file lfg.h.

Referenced by av_lfg_get(), and av_mlfg_get().

## index

int AVLFG::index

Definition at line 35 of file lfg.h.

Referenced by av_lfg_get(), and av_mlfg_get().

The documentation for this struct was generated from the following file:

- libavutil/lfg.h